Class | Tk::Tcllib::Widget::SuperFrame
In: | tk/lib/tkextlib/tcllib/superframe.rb
Parent: | TkWindow

### Methods

labelwidget package_name package_version

### Constants

PACKAGE_NAME | = | 'widget::superframe'.freeze
TkCommandNames | = | ['::widget::superframe'.freeze].freeze

### Public Class methods

package_name()

[Source]

    # File tk/lib/tkextlib/tcllib/superframe.rb, line 19
          def self.package_name
            PACKAGE_NAME
          end

package_version()

[Source]

    # File tk/lib/tkextlib/tcllib/superframe.rb, line 23
          def self.package_version
            begin
              TkPackage.require('widget::superframe')
            rescue
              ''
            end
          end

### Public Instance methods

labelwidget()

[Source]

    # File tk/lib/tkextlib/tcllib/superframe.rb, line 48
      def labelwidget
        window(tk_send('labelwidget'))
      end

[Validate]